# Class MessageBatchResult | AnthropicClient
Represents a message batch result.

# Class MessageBatchResult

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a message batch result.

    public abstract class MessageBatchResult

Inheritance
  object
  MessageBatchResult

Derived
  CanceledMessageBatchResult
  ErroredMessageBatchResult
  ExpiredMessageBatchResult
  SucceededMessageBatchResult

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageBatchResult(string)

Initializes a new instance of the MessageBatchResult class.

    public MessageBatchResult(string type)

#### Parameters

`type` string

  The type of the message batch result.

## Properties

### Type

Gets the type of the message batch result.

    public string Type { get; init; }

#### Property Value

string